WebKit.Common | index /usr/local/share/webware/WebKit/Common.py

`Common globals.
The Common module provides some commmon globals to all modules/classes in
WebKit. It's intended for internal use, not for modules outside the WebKit.
Typically usage is::
from Common import *
The globals provided are:
* the modules: `os`, `sys`, `time`
* the class `StringIO`
* the root class `Object`
* the names `True` and `False` for older Python versions
* the package `WebUtils`
* the exception class `AbstractError` that methods of abstract classes can raise
* the singleton `NoDefault` for initializing default arguments
* the method `asclocaltime` for building time stamps in log files`

Modules
`` |  |
WebUtils | os | sys | time

Functions
`` |  | StringIO(...) `StringIO([s]) -- Return a StringIO-like stream for reading or writing` asclocaltime(t=None) `Return a readable string of the current, local time. Useful for time stamps in log files.`